#include <bits/stdc++.h>
using namespace std;
int main(){
    int n;
    cin>>n;
    vector<bool> v(500001);
    vector<int> squares;
    for(int i=1;i*i<=500000;i++){
        squares.push_back(i*i);
        for(int j=squares.size()-1;j>=0;j--){
            if(i*i+squares[j]<=500000){
                v[i*i+squares[j]]=1;
            }
        }
    }
    int x;
    for(int i=0;i<n;i++){
        cin>>x;
        cout<<v[x];
    }
    return 0;
}
